$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-fe9c61fe73b82cd230c180659275a581e3da292c/rpcs3-v0.0.12-10876-fe9c61fe_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '37c9782025694fa4afe1b475525d01f3f4ea6554feb6728f079da5815731617f'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
